# Default username/password

Admin:zabbix

# TLS

## Generate CA

### Generate CA key
openssl genrsa -passout env:CA_PASSWD -aes256 -out zabbix-ca.key 4096
### Generate CA
openssl req -x509 -new -key zabbix-ca.key -sha256 -days 36500 -out zabbix-ca.crt -passin env:CA_PASSWD -subj "/CN=zabbix-ca"

## Generate host cert

### Set host variable
HOST=zabbix-host.domain.tld
### Generate host key and csr
openssl req -new -newkey rsa:4096 -nodes -keyout "${HOST}.key" -out "${HOST}.csr" -subj "/CN=${HOST}"
### Generate host cert
openssl x509 -req -CA zabbix-ca.crt -CAkey zabbix-ca.key -CAcreateserial -days 36500 -sha256 -passin env:CA_PASSWD -in "${HOST}.csr" -out "${HOST}.crt"
### Remove csr
rm "${HOST}.csr"

